Bug 63452 - Tools / Import from cURL: Complete coverage of all command line options that are valid in JMeter use case
Summary: Tools / Import from cURL: Complete coverage of all command line options that ...
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: HTTP (show other bugs)
Version: 5.1
Hardware: All All
: P1 enhancement (vote)
Target Milestone: JMETER_5.2
Assignee: JMeter issues mailing list
URL:
Keywords: FixedInTrunk, PatchAvailable
Depends on:
Blocks:
 
Reported: 2019-05-20 09:20 UTC by Philippe Mouawad
Modified: 2019-09-23 12:01 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Mouawad 2019-05-20 09:20:29 UTC
Import from cURL has been introduced in version 5.1.
It is in alpha and only supports a subset of cURL.

This enhancement will complete coverage of cURL options for HTTP use cases.
Comment 1 Philippe Mouawad 2019-06-08 12:34:09 UTC
PR provided:

https://github.com/apache/jmeter/pull/465

UbikLoadPack Team
@ubikloadpack
Comment 3 Felix Schumacher 2019-08-03 12:57:10 UTC
commit 35dfeeda79f77d6b149a3693e8f7b2d342b34e7b
AuthorDate: Sat Aug 3 14:06:57 2019 +0200

    Use consistent names for methods
    
    Related to #475
    Bugzilla Id: 63452
    Bugzilla Id: 63419
---
 .../java/org/apache/jmeter/protocol/http/curl/BasicCurlParser.java    | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 4 Philippe Mouawad 2019-09-23 12:01:06 UTC
This is an automated email from the ASF dual-hosted git repository.

pmouawad pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/jmeter.git


The following commit(s) were added to refs/heads/master by this push:
     new db6e22e  Improvements:
db6e22e is described below

commit db6e22e58bafea4557fa33ed9383a85aac748c3b
Author: pmouawad <p.mouawad@ubik-ingenierie.com>
AuthorDate: Mon Sep 23 13:59:10 2019 +0200

    Improvements:

    - Make threads, rampup, duration and loops configurable through
    properties.

    Fixes:

    - Use port if different from standard
---
 .../http/gui/action/ParseCurlCommandAction.java     | 21 +++++++++++++--------
 1 file changed, 13 insertions(+), 8 deletions(-)